Bug 459017 - system-config-network misleds about NetworkManager status
system-config-network misleds about NetworkManager status
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
: Reopened
: 464884 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-13 15:40 EDT by Michal Jaegermann
Modified: 2009-07-14 12:58 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:58:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2008-08-13 15:40:12 EDT
Description of problem:

With a newly configured interface on can find in a corresponding
/etc/sysconfig/network-scripts/ifcfg-eth0 (say) line which says
'NM_CONTROLLED=' and its "Controlled by NetworkManager" box on GUI
is unchecked.  Despite of that such interface is actually claimed
by NetworkManager.

After that box is checked, results saved, the box unchecked back
and results saved again one gets 'NM_CONTROLLED=no' and _then_
NetworkManager indeed disregards that interface so it can be handled
by other means.

I could not find a documentation for 'NM_CONTROLLED' variable.
Maybe anything but an explicit "no" is equivalent to "yes"?
system-config-network seems to assume otherwise but results are not good.

Version-Release number of selected component (if applicable):
system-config-network-1.5.10-1.fc9 (and others)

How reproducible:
always
Comment 1 Jiri Moskovcak 2008-08-14 10:50:22 EDT

*** This bug has been marked as a duplicate of bug 438902 ***
Comment 2 Michal Jaegermann 2008-08-15 12:26:10 EDT
First this is marked as a duplicate of another bug, where a connection
is rather tenuous, and then the other gets closed as NOTABUG
(which is a HUGE stretch on its own).  On the top of it an option
to REOPEN bugs apparently vanished.  Do I have to submit that once again?
Comment 3 Jiri Moskovcak 2008-08-18 07:52:30 EDT
So what is exactly your problem here? s-c-networking having as default NM_CONTROLLED='no' or NetworkManager's default 'yes' (yes you're right about that NM takes control over every device that doesn't have NM_CONTROLLED='no' in ifcfg-* file).
Comment 4 Michal Jaegermann 2008-08-18 11:56:06 EDT
> So what is exactly your problem here?

The problem, hardly mine, is that s-c-n shows that a device
is not controlled by NM (the corresponding box unchecked)
while the opposite is true.  That you can force in some
circumstance that status and its graphical representation
to agree only misleds more.

> NM takes control over every device that doesn't have NM_CONTROLLED='no

Apparently s-c-n has a different opinion here, at least in
what it displays, and hence the issue.
Comment 5 Jiri Moskovcak 2008-10-02 11:05:29 EDT
*** Bug 464884 has been marked as a duplicate of this bug. ***
Comment 6 Bug Zapper 2009-06-09 22:27:35 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-07-14 12:58:41 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.